--- chrome/browser/tab_contents/tab_contents.cc
+++ chrome/browser/tab_contents/tab_contents.cc
@@ -78,10 +78,10 @@
 #include <gdk/gdk.h>
 #endif  // defined(OS_CHROMEOS)
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include "chrome/browser/gtk/create_application_shortcuts_dialog_gtk.h"
 #include "chrome/browser/gtk/gtk_theme_provider.h"
-#endif  // defined(OS_LINUX)
+#endif  // defined(USE_X11)
 
 // Cross-Site Navigations
 //
@@ -316,7 +316,7 @@ TabContents::TabContents(Profile* profile,
                  NotificationService::AllSources());
   registrar_.Add(this, NotificationType::RENDER_WIDGET_HOST_DESTROYED,
                  NotificationService::AllSources());
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   registrar_.Add(this, NotificationType::BROWSER_THEME_CHANGED,
                  NotificationService::AllSources());
 #endif
@@ -785,7 +785,7 @@ void TabContents::CreateShortcut() {
   if (!entry)
     return;
 
-#if defined(OS_LINUX) && !defined(TOOLKIT_VIEWS)
+#if defined(USE_X11) && !defined(TOOLKIT_VIEWS)
   SkBitmap bitmap;
   if (FavIconIsValid())
     bitmap = GetFavIcon();
@@ -2652,7 +2652,7 @@ void TabContents::Observe(NotificationType type,
       break;
     }
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
     case NotificationType::BROWSER_THEME_CHANGED: {
       render_view_host()->SyncRendererPrefs();
       break;
diff --git chrome/browser/tab_contents/tab_contents.h chrome/browser/tab_contents/tab_contents.h
index ee25ef3..9525c07 100644
